import { world, system, ItemStack} from '@minecraft/server'
import {PlayerEquipment} from "../playerComponents.js"
import {Guns} from "../Guns.js"
import {PlayerGunsData} from "../PlayerGunsData.js"

export function updateAmmo (player, item, gunData) {
    gunData.currentAmmo--
    if (gunData.currentAmmo > 0) return
    
    let emptyGun = new ItemStack (item.typeId+"_empty", 1)
    const gunId = item.getDynamicProperty("L4gg-gunId")
    emptyGun.setDynamicProperty("L4gg-gunId", gunId)
    PlayerEquipment.setItemHold(player, emptyGun)
}
