import { world, system, ItemStack} from '@minecraft/server'
export const PlayerGunsData = {}
export function setUpGunsData (player, item, isUsing) {
    let id = player.id
    let gunId = item.getDynamicProperty("L4gg-gunId")
    let ammo = item.getDynamicProperty("L4gg-ammo")
    
    if (!PlayerGunsData.hasOwnProperty(id)) {
        PlayerGunsData[id] = {
            isUsing: isUsing,
            isReloading: false,
            guns: {}
        }
    }
    PlayerGunsData[id].guns[gunId] = new GunData(ammo)
}

 class GunData {
	constructor (ammoCount) {
		this.currentAmmo = ammoCount,
		this.currentCooldown = 0
	}
}